Skip to main content
GET
A single checkpoint, with its branch membership

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow.

Path Parameters

repo_id
string
required
checkpoint_id
string
required

Query Parameters

branch
string

Branch the caller is viewing; drives needs_redirect, not which checkpoint resolves

Response

OK

branches
string[] | null
required
checkpoint
object
required
checkpoint_id
string
required
default_branch
string | null
required
needs_redirect
boolean
required
repo_full_name
string
required
requested_branch
string | null
required
suggested_branch
string | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/CheckpointResolveOutputBody.json"